using System.Drawing;
using System;
using System.Collections.Generic;
namespace AGVControl.Models
{
    public class MapText
    {
        private bool _dirty = true;
        private Point _location;
        private string _text;
        private Font _font;

        public bool Dirty 
        { 
            get => _dirty;
            set => _dirty = value;
        }

        public Point Location 
        { 
            get => _location;
            set
            {
                if (_location != value)
                {
                    _location = value;
                    _dirty = true;
                }
            }
        }

        public string Text 
        { 
            get => _text;
            set
            {
                if (_text != value)
                {
                    _text = value;
                    _dirty = true;
                }
            }
        }

        public Color TextColor { get; set; }
        public Color BackgroundColor { get; set; }

        public Font Font 
        { 
            get => _font;
            set
            {
                if (_font != value)
                {
                    _font = value;
                    _dirty = true;
                }
            }
        }

        public RectangleF Bounds { get; set; }
    }
}